<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="windows-1250"/>

<xsl:template match="/SR3Char">

<HTML>
<HEAD>
	<TITLE>Shadowrun Character Sheet [<xsl:value-of select='bio/currentname'/>]</TITLE>
	<LINK rel="stylesheet" href="./style.css" type="text/css"/>
<style type="text/css">

table {width: 100%; border: 0px;}
.simple {border-collapse: collapse;}
.table {
	width: 17cm;
	page-break-inside: avoid;
	background-color: ActiveBorder;
	margin-bottom: 0.5cm;
	border: 1px black solid;
	border-collapse: collapse;
}
.top {vertical-align: top;}
</style>

	<META http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<script>
<xsl:text>
function zalomit(what,idx)
{
   var elem = document.getElementById(idx); 
   if(elem.style.pageBreakBefore=='always')  {
      txt="NO";
      elem.style.pageBreakBefore = 'auto';
   }
   else {
      txt="YES";
      elem.style.pageBreakBefore = 'always';
   }
   what.innerHTML = "Page-break: " + txt;
}
function showhide(what,lbl,idx)
{
   var elem = document.getElementById(idx); 
   if(elem.style.display!='none')  {
     txt="NO";
     elem.className = 'common';
     elem.style.display = 'none';
   }
   else {
     txt="YES";
     elem.className = '';
     elem.style.display = 'block';
   }
   what.innerHTML = "Show " + lbl +": " + txt;
}
</xsl:text>
</script>

</HEAD>

<BODY>

<!-- Name of Char, Creator info start -->
<TABLE class="table">
	<TR>
		<TD class="title" colspan="1"><xsl:value-of select='bio/currentname'/></TD>
		<TD>Created by <xsl:value-of select='realworld/playername'/> at <xsl:value-of select='realworld/creationdate'/>, last modified at <xsl:value-of select='realworld/lastmoddate'/></TD>
	</TR>
</TABLE>
<!-- Name of Char, Creator info end -->


<!-- Logo, Informations, Attributes start -->
<a class="common" href="javascript:void(0)" onClick="showhide(this,'Basic Info','idAttribs');">Show Basic Info: YES</a>
<DIV id="idAttribs" name="idAttribs">
<TABLE class="table">
	<TR>
		<TH class="box">Bio Information</TH>
		<TH class="box">Attributes</TH>
		<TH class="box">Dice Pools</TH>
		<TH class="box">Condition Monitor</TH>
	</TR>

	<TR>
	<!-- Informations start -->
		<TD class="box">
			<TABLE>
      	<TR><TD colspan="2"><b>Current Name</b>: <xsl:value-of select='bio/currentname'/></TD></TR>
		<xsl:for-each select='bio/streetnames/streetname'>
      		<TR><TD colspan="2"><b>Street Name</b>: <xsl:value-of select='.'/></TD></TR>
		</xsl:for-each>
		<TR><TD colspan="2"><b>Real Name</b>: <xsl:value-of select='bio/realname'/></TD></TR>
				<TR><TD colspan="2"><HR/></TD></TR>
				<TR><TD><b>Metatype</b>: <xsl:value-of select="bio/race"/></TD>
				<TD><b>Gender</b>: <xsl:value-of select="bio/gender"/></TD></TR>
				<TR><TD><b>Hair</b>: <xsl:value-of select="bio/hair"/></TD>
				<TD><b>Weight</b>: <xsl:value-of select="bio/weight"/> kg</TD></TR>
				<TR><TD><b>Eyes</b>: <xsl:value-of select="bio/eyes"/></TD>
				<TD><b>Height</b>: <xsl:value-of select="bio/height"/> cm</TD></TR>
				<TR><TD colspan="2"><b>Description</b>: <xsl:value-of select="bio/description"/></TD></TR>
			      <TR><TD colspan="2"><b>DoB</b>: <xsl:value-of select="bio/birthdate"/></TD></TR>
        			<TR><TD colspan="2"><b>BirthPlace</b>: <xsl:value-of select="bio/birthplace"/></TD></TR>
				<TR><TD colspan="2"><b>Karma total: </b> <xsl:value-of select='bio/karmatotal'/></TD></TR>
             		<TR><TD colspan="2"><b>Karma remaining: </b> <xsl:value-of select='bio/karmaremaining'/></TD></TR>
				<xsl:if test="racedesc">
				<TR><TD colspan="2"><HR/></TD></TR>
				<TR><TD colspan="2"><b>Specials</b>: <xsl:for-each select="racedesc">
	      	<xsl:for-each select="line"><LI><xsl:value-of select="."/></LI></xsl:for-each>
  	      </xsl:for-each></TD></TR>
		</xsl:if>
			</TABLE>
		</TD>
	<!-- Informations end -->

	<!-- Attributes start -->
 		<TD class="box">

			<TABLE>
				<TR>
        	<TD><b>Body</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/total[contains(../name,'body')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Quickness</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/total[contains(../name,'quickness')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Strength</b></TD>
					<TD class="center">
				            <xsl:value-of select="attributes/attribute/total[contains(../name,'strength')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Intelligence</b></TD>
					<TD class="center">
				            <xsl:value-of select="attributes/attribute/total[contains(../name,'intelligence')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Charisma</b></TD>
					<TD class="center">
				            <xsl:value-of select="attributes/attribute/total[contains(../name,'charisma')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Willpower</b></TD>
					<TD class="center">
				            <xsl:value-of select="attributes/attribute/total[contains(../name,'willpower')]"/>
        	</TD>
        </TR>

				<TR><TD colspan="2"><hr/></TD></TR>

				<TR>
        	<TD><b>Magic</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/total[contains(../name,'magic')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Essence</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/total[contains(../name,'essence')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Reaction</b></TD>
					<TD class="center">
				            <xsl:value-of select="attributes/attribute/total[contains(../name,'reaction')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Initiative</b></TD>
					<TD class="center">
				            <xsl:value-of select="attributes/attribute/total[contains(../name,'initiative')]"/>
        	</TD>
        </TR>
	<!-- Attributes end -->

			</TABLE>

  <!-- Edges and Flaws start -->
		<xsl:if test="advantages">
  		<TABLE>
  			<TR>
					<TH colspan="2">Edges and Flaws</TH>
        </TR>
  			<TR>
					<TD colspan="2" class="bold">
						<xsl:for-each select="advantages/advantage">
							<xsl:value-of select="name"/> (<xsl:value-of select="cost"/>)<BR/>
						</xsl:for-each>
    			</TD>
        </TR>
      </TABLE>
           </xsl:if>
    </TD>
  <!-- Edges and Flaws end -->

  <!-- Karma and Pools start -->
     <TD class="box">
    	<TABLE>
		<xsl:if test="pools/combat">
          <TR>
   		<TD><b>Combat:</b></TD><TD><xsl:value-of select="pools/combat"/></TD></TR>
		</xsl:if>
		<xsl:if test="pools/spell">
	    <TR>
		<TD><b>Spell:</b></TD><TD><xsl:value-of select="pools/spell"/></TD></TR>
		</xsl:if>
		<xsl:if test="pools/hacking">
          <TR>
            <TD><b>Hacking:</b></TD><TD><xsl:value-of select="pools/hacking"/></TD></TR>
		</xsl:if>
		<xsl:if test="pools/astral">
	    <TR>
            <TD><b>Astral:</b></TD><TD><xsl:value-of select="pools/astral"/></TD></TR>
		</xsl:if>
		<xsl:if test="pools/control">
          <TR>
            <TD><b>Control:</b></TD><TD><xsl:value-of select="pools/control"/></TD></TR>
		</xsl:if>
		<xsl:if test="pools/task">
	    <TR>
            <TD><b>Task:</b></TD><TD><xsl:value-of select="pools/task"/></TD></TR>
		</xsl:if>
		<xsl:if test="pools/karma">
          <TR>
            <TD><b>Karma:</b></TD><TD><xsl:value-of select="pools/karma"/></TD>
          </TR>
		</xsl:if>
      </TABLE>
    </TD>
  <!-- Karma and Pools end -->

<TD class="box">
<font size="small">
<table border="1" cellspacing="0" width="150">
<tr><td colspan="2"><b>Stun</b></td>
<td colspan="2"><b>Physical</b></td>
<td colspan="3"><b>OvrDm</b></td></tr>
<tr><td width="25%" rowspan="2"><UL><LI>+1 to TNs</LI><LI>-1 to REAC</LI></UL></td>
<td width="5%"><b>L</b></td>
<td width="5%"><b>L</b></td>
<td width="25%" rowspan="2"><UL><LI>+1 to TNs</LI><LI>-1 to REAC</LI></UL></td>
<td width="5%">&#160;</td>
<td width="5%">&#160;</td>
<td width="5%">&#160;</td></tr>
<tr><td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td></tr>
<tr><td rowspan="3"><UL><LI>+2 to TNs</LI><LI>-2 to REAC</LI></UL></td>
<td><b>M</b></td>
<td><b>M</b></td>
<td rowspan="3"><UL><LI>+2 to TNs</LI><LI>-2 to REAC</LI></UL></td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td></tr>
<tr><td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td></tr>
<tr><td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
</tr>
<tr><td rowspan="4"><UL><LI>+3 to TNs</LI><LI>-3 to REAC</LI></UL></td>
<td><b>S</b></td>
<td><b>S</b></td>
<td rowspan="4"><UL><LI>+3 to TNs</LI><LI>-3 to REAC</LI></UL></td>
<td colspan="3" rowspan="5">&#160;</td>
</tr>
<tr><td>&#160;</td>
<td>&#160;</td>
</tr>
<tr><td>&#160;</td>
<td>&#160;</td>
</tr>
<tr><td>&#160;</td>
<td>&#160;</td>
</tr>
<tr><td>Uncons.</td>
<td><b>D</b></td>
<td><b>D</b></td>
<td>Dying</td>
</tr>
<tr><td colspan="7"><b>Stun overflows into Physical</b></td></tr>
</table>
</font>
</TD>
</TR>
</TABLE>
<!-- Logo, Informations, Attributes end -->
</DIV>

<!-- C.S. and L.S. start -->
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Armor','idArmor');">Show Armor: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idArmor');">Page-break: NO</TD></TR></TABLE>
<DIV id="idArmor" name="idArmor">
<TABLE class="table">
  <TR>
	<TH class="box">Credsticks</TH>
	<TH class="box">Armor</TH>
  </TR>
  <TR>
  <!-- C.S. and Armor start -->
	<TD class="box">
 	  <TABLE class="simple">
		<TR>
			<TH>Name</TH>
			<TH>Type</TH>
			<TH>Rating</TH>
			<TH>Value</TH>
		</TR>
		<xsl:for-each select="bio/credsticks/credstick">
		<TR>
     		<TD class="bold"><xsl:value-of select="identity"/> </TD>
		<TD><xsl:value-of select="type"/></TD>
		<TD align="center"><xsl:value-of select="rating"/> </TD>
		<TD align="right"><xsl:value-of select="holding"/>&#165;</TD>
     		</TR>
		</xsl:for-each>
        </TABLE>
      </TD>
      <TD class="box">
	<TABLE class="simple">
  <!-- Armors start -->
      <TR>
    	<TH>Wt.</TH>
      <TH>Name</TH>
      <TH>Carried</TH>
	<TH>Conceal</TH>
      <TH>Ball/Imp</TH>
	</TR>
     <xsl:for-each select="equipmentlist/armorlist/armor">
	<TR>
        <TD class="center"><xsl:value-of select="mass"/></TD>
	  <TD class="bold"><xsl:value-of select="name"/></TD>
	  <TD class="center"><xsl:value-of select="carried"/></TD>
	  <TD class="center"><xsl:value-of select="concealability"/></TD>
	  <TD class="center"><xsl:value-of select="ballistic"/>/<xsl:value-of select="impact"/></TD>
      </TR>
	</xsl:for-each>
  <!-- Armors end -->
</TABLE>
    </TD>
    </TR>
</TABLE>
  <!-- C.S. and Armors end -->
</DIV>

  <!-- Lifestyles Start -->
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Lifestyles','idLifestyles');">Show Lifestyles: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idLifestyles');">Page-break: NO</TD></TR></TABLE>
<DIV id="idLifestyles" name="idLifestyles">
<TABLE class="table">
	<TR>
		<TH colspan="2" class="box">Lifestyles</TH>
	</TR>
	<xsl:for-each select="bio/lifestyles/lifestyle">
      <TR>
      	<TD width="20%" class="bold box"><xsl:value-of select="residence"/></TD>
		<TD width="80%" class="box">
			<TABLE class="simple">
				<TR> 
        				<TH>Lvl</TH>
      				<TH>Prim</TH>
        				<TH>From</TH>
       				<TH>Months</TH>
     				</TR>
				<TR>
        				<TD width="28%" class="center"><xsl:value-of select="level"/></TD>
        				<TD width="28%" class="center"><xsl:value-of select="primary"/></TD>
        				<TD width="28%" class="center"><xsl:value-of select="startdate"/></TD>
        				<TD width="16%" class="center"><xsl:value-of select="months"/></TD>
        			</TR>
	  			<xsl:if test="description">
	  			<TR>
					<TD colspan="4">Description: <xsl:value-of select="description"/></TD>
				</TR>
        			</xsl:if>
	  			<xsl:if test="notes">
	  			<TR>
					<TD colspan="4">Notes: <xsl:value-of select="notes"/></TD>
				</TR>
			      </xsl:if>
			</TABLE>
		</TD>
	</TR>
	</xsl:for-each>
</TABLE>  
</DIV>
<!-- Lifestyles end -->


<!-- Active skills, Knowledges, Languages start -->
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Skills','idSkills');">Show Skills: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idSkills');">Page-break: NO</TD></TR></TABLE>
<DIV id="idSkills" name="idSkills">
<TABLE class="table">
	<TR>
	 	<TH class="box">Active skills</TH>
 		<TH class="box">Knowlege skills</TH>
	 	<TH class="box">Languages</TH>
	</TR>

  <TR>
  <!-- Active skills start -->
  	<TD class="box">
     	<TABLE>
				<xsl:for-each select='skills/active/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
	    <xsl:if test="maneuver">
		<xsl:for-each select='maneuver'>
	      <TR>
		 <TD>&#160;MN:<xsl:value-of select="."/></TD>
		</TR>
		</xsl:for-each>
	    </xsl:if>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Active skills end -->

  <!-- Knowledges skills start -->
  	<TD class="box">
     	<TABLE>
				<xsl:for-each select='skills/knowledge/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Knowledges skills end -->

  <!-- Languages start -->
  	<TD class="box">
     	<TABLE>
				<xsl:for-each select='skills/language/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Languages end -->
  </TR>
</TABLE>
</DIV>
<!-- Active skills, Knowledges, Languages end -->

<!-- Magic info start -->
<xsl:if test="magic">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Magic Info','idMagicInfo');">Show Magic Info: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idMagicInfo');">Page-break: NO</TD></TR></TABLE>
<DIV id="idMagicInfo" name="idMagicInfo">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="11"><xsl:value-of select="magic/magetype"/></TH>
  </TR>
  <TR class="center">
    <TH>Magic attribute:</TH>
    <TD>Total:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/total"/></TD>
    <TD>Start:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/start"/></TD>
    <TD>Initialization:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/initialization"/></TD>
    <TD>Geasa:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/geasa"/></TD>
    <TD>Spent:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/spent"/></TD>
  </TR>
  <TR>
    <TH>Desc:</TH>
  	<TD colspan="10"><xsl:value-of disable-output-escaping="yes" select="magic/desc"/></TD>
  </TR>
  <TR>
  	<TH>Initiation desc</TH>
  	<TD colspan="10"><xsl:value-of select="magic/initiationdesc"/></TD>
  </TR>
  <TR>
    <TH>Group list</TH>
    <TD colspan="4" class="box">
	  <xsl:for-each select='magic/groupslist/group'>
		<xsl:value-of select="."/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
    </TD>
    <TH class="left">Geas list</TH>
    <TD colspan="5" class="box">
	  <xsl:for-each select='magic/geaslist/geas'>
		<xsl:value-of select="."/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
    </TD>
  </TR>
</TABLE>
</DIV>
</xsl:if>
<!-- Magic info end -->

<!-- Physad skills start -->
<xsl:if test="magic/physad">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Physad Skills','idPhysAd');">Show Physad Skills: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idPhysAd');">Page-break: NO</TD></TR></TABLE>
<DIV id="idPhysAd" name="idPhysAd">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="5">Physad skills</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Cost</TH>
    <TH>Mods</TH>
    <TH>Book</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='magic/physad/power'>
	<TR>
  	<TD class="box"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="cost"/></TD>
   	<TD class="box"><xsl:value-of select="mods"/></TD>
   	<TD class="box"><xsl:value-of select="book.page"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Physad skills end -->

<!-- Spells start -->
<xsl:if test="magic/spelllist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Spells','idSpells');">Show Spells: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idSpells');">Page-break: NO</TD></TR></TABLE>
<DIV id="idSpells" name="idSpells">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="9">Spells</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Force</TH>
    <TH>Type</TH>
    <TH>Target</TH>
    <TH>Duration</TH>
    <TH>Range</TH>
    <TH>Drain</TH>
    <TH>Note</TH>
    <TH>Cost</TH>
  </TR>
	<xsl:for-each select='magic/spelllist/spell'>
	<TR class="center">
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="force"/></TD>
   	<TD class="box"><xsl:value-of select="type"/></TD>
   	<TD class="box"><xsl:value-of select="target"/></TD>
  	<TD class="box"><xsl:value-of select="duration"/></TD>
  	<TD class="box"><xsl:value-of select="range"/></TD>
  	<TD class="box"><xsl:value-of select="drain"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Spells end -->

<!-- Mage Gear -->
<xsl:if test="equipmentlist/magegearlist/magegear">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Mage Gear','idMageGear');">Show Mage Gear: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idMageGear');">Page-break: NO</TD></TR></TABLE>
<DIV id="idMageGear" name="idMageGear">
<TABLE class="table" frame="box">
  <TR>
  	<TH>Mage gear</TH>
  	<TH>Mage gear</TH>
  </TR>
		<xsl:for-each select="equipmentlist/magegearlist/magegear[position() mod 2 = 1]">
		   <TR>
     		<TD><xsl:if test="quantity != 1">[<xsl:value-of select="quantity"/>] </xsl:if><xsl:value-of select="name"/></TD>
     		<TD><xsl:if test="following-sibling::magegear[1]/quantity != 1">[<xsl:value-of select="following-sibling::magegear[1]/quantity"/>] </xsl:if><xsl:value-of select="following-sibling::magegear[1]/name"/></TD>
   		   </TR>
		</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Mage Gear end -->


<!-- Deck start -->
<xsl:if test="decker/deckinfo">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Deck Info','idDeckInfo');">Show Deck Info: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idDeckInfo');">Page-break: NO</TD></TR></TABLE>
<DIV id="idDeckInfo" name="idDeckInfo">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="6">Deck - <xsl:value-of select="decker/deckinfo/deckname"/></TH>
  </TR>
  <TR>
	<TD class="box">Reaction</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/reaction"/></TD>
	<TD class="box">MPCP</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/mpcp"/></TD>
	<TD class="box">Hardening</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/hardening"/></TD>
  </TR>
  <TR>
	<TD class="box">Initiative(D6)</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/initiative"/></TD>
	<TD class="box">BOD Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/bod"/></TD>
	<TD class="box">Evasion Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/evasion"/></TD>
  </TR>
  <TR>
	<TD class="box">Hacking Pool</TD>
  	<TD class="box center"><xsl:value-of select="pools/hacking"/></TD>
	<TD class="box">Masking Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/masking"/></TD>
	<TD class="box">Sensor Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/sensor"/></TD>
  </TR>
  <TR>
	<TD class="box">Memory Active/Storage</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/activememory"/>/<xsl:value-of select="decker/deckinfo/storagemem"/></TD>
	<TD class="box">I/O Speed</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/iospeed"/></TD>
	<TD class="box">Response Increase</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/responseincr"/></TD>
  </TR>
  <TR>
  	<TH colspan="6">Software</TH>
  </TR>
  <TR>
	<TD class="box" colspan="6">
 	  <TABLE class="simple">
	     <TR>
		<TH class="box">L</TH>
		<TH class="box">Software</TH>
		<TH class="box">L</TH>
		<TH class="box">Software</TH>
		<TH class="box">L</TH>
		<TH class="box">Software</TH>
	     </TR>
		<xsl:for-each select="decker/decklist/deck/software[position() mod 3 = 1]">
		   <TR>
     		<TD class="box">&#160;</TD><TD class="box" align="left"><xsl:value-of select="./name"/></TD>
     		<TD class="box">&#160;</TD><TD class="box" align="left"><xsl:value-of select="following-sibling::software[1]/name"/></TD>
     		<TD class="box">&#160;</TD><TD class="box" align="left"><xsl:value-of select="following-sibling::software[2]/name"/></TD>
   		   </TR>
		</xsl:for-each>
         </TABLE>
	</TD>
  </TR>
  <TR>
	<TH colspan="6">Deck Accessories</TH>
  </TR>
  <xsl:for-each select="decker/decklist/deck/accessories">
  <TR>
	<TD class="box center" colspan="6"><xsl:value-of select="./name"/></TD>
  </TR>
  </xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Deck end -->

<!-- Rigger Deck start -->
<xsl:if test="rigger">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Rigger Info','idRiggerInfo');">Show Rigger Info: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idRiggerInfo');">Page-break: NO</TD></TR></TABLE>
<DIV id="idRiggerInfo" name="idRiggerInfo">
<TABLE class="table" frame="box">
	<TR>
		<TH colspan="2">Rigger Info</TH>
	</TR>
	<xsl:for-each select='equipmentlist/vehiclelist/vehicle'>
  	<xsl:if test="contains(name,'Remote Control Deck')">
  	<TR>
		<TD width="30%" class="box">
	    		<B><xsl:value-of select="name"/></B>
	    		<BR/>Book: <xsl:value-of select="book.page"/>&#160;<BR/><B>Command Channel:</B><BR/>
	    <table border="2" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                  <td width="10%" align="center"><b>L</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>M</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>S</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>D</b></td>
	       </tr>
	    </table>
<BR/><B>Simsense Channel:</B><BR/>
	    <table border="2" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                  <td width="10%" align="center"><b>L</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>M</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>S</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>D</b></td>
	       </tr>
	    </table>
<BR/><B>System Channel:</B><BR/>
	    <table border="2" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                  <td width="10%" align="center"><b>L</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>M</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                 	<td width="10%" align="center"><b>S</b></td>                  			<td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>D</b></td>
	       </tr>
	    </table>
	</TD>
	<TD width="70%" class="box">
		<TABLE class="simple">
			<TR>
				<TH class="box">VCR Rating</TH>
				<TH class="box">Reaction</TH>
				<TH class="box">Initiative</TH>
				<TH class="box">Control Pool</TH>
			</TR>
			<TR>
				<TD class="box center"><xsl:value-of select='//rigger/vcr'/></TD>
				<TD class="box center"><xsl:value-of select="//rigger/reaction"/></TD>
				<TD class="box center"><xsl:value-of select="//rigger/initiative"/></TD>
				<TD class="box center"><xsl:value-of select="//rigger/controlpool"/></TD>
			</TR>
			<xsl:if test="accessories">
			<TR>
				<TH align="left" colspan="4">Accessories:</TH>
  			</TR>
  			<xsl:for-each select='accessories'>
  			<TR>
				<TD colspan="4"><xsl:value-of select="name"/></TD>
  			</TR>
  			</xsl:for-each>
			</xsl:if>
		</TABLE>
	</TD>
	</TR>
	</xsl:if>
	</xsl:for-each>
	<xsl:for-each select='augmentation/cyberware'>
  	<xsl:if test="contains(name,'Remote Control Deck')">
  	<TR>
		<TD width="30%" class="box">
	    		<B><xsl:value-of select="name"/></B>
	    		<BR/>Book: <xsl:value-of select="book.page"/>&#160;<BR/><B>Command Channel:</B><BR/>
	    <table border="2" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                  <td width="10%" align="center"><b>L</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>M</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>S</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>D</b></td>
	       </tr>
	    </table>
<BR/><B>Simsense Channel:</B><BR/>
	    <table border="2" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                  <td width="10%" align="center"><b>L</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>M</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>S</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>D</b></td>
	       </tr>
	    </table>
<BR/><B>System Channel:</B><BR/>
	    <table border="2" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                  <td width="10%" align="center"><b>L</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>M</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                 	<td width="10%" align="center"><b>S</b></td>                  			<td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>D</b></td>
	       </tr>
	    </table>
	</TD>
	<TD width="70%" class="box">
		<TABLE class="simple">
			<TR>
				<TH class="box">VCR Rating</TH>
				<TH class="box">Reaction</TH>
				<TH class="box">Initiative</TH>
				<TH class="box">Control Pool</TH>
			</TR>
			<TR>
				<TD class="box center"><xsl:value-of select='//rigger/vcr'/></TD>
				<TD class="box center"><xsl:value-of select="//rigger/reaction"/></TD>
				<TD class="box center"><xsl:value-of select="//rigger/initiative"/></TD>
				<TD class="box center"><xsl:value-of select="//rigger/controlpool"/></TD>
			</TR>
		</TABLE>
	</TD>
	</TR>
	</xsl:if>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Rigger Deck end -->

<!-- Cyberware start -->
<xsl:if test="augmentation/cyberware">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Cyberware','idCyberWare');">Show Cyberware: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idCyberWare');">Page-break: NO</TD></TR></TABLE>
<DIV id="idCyberWare" name="idCyberWare">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="5">Cyberware</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Slot</TH>
    <TH>Stress</TH>
    <TH>Essence</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='augmentation/cyberware'>
	<TR>
  	<TD class="box nowrap"><xsl:value-of select="name"/></TD>
   	<TD class="box"></TD>
   	<TD class="box"></TD>
   	<TD class="box center"><xsl:value-of select="essencecost"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Cyberware end -->

<!-- Bioware start -->
<xsl:if test="augmentation/bioware">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Bioware','idBioWare');">Show Bioware: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idBioWare');">Page-break: NO</TD></TR></TABLE>
<DIV id="idBioWare" name="idBioWare">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="5">Bioware</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Slot</TH>
    <TH>Stress</TH>
    <TH>Bio Index</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='augmentation/bioware'>
	<TR>
  	<TD class="box nowrap"><xsl:value-of select="name"/></TD>
   	<TD class="box"></TD>
   	<TD class="box"></TD>
   	<TD class="box center"><xsl:value-of select="bioindexcost"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Bioware end -->

<!-- Weapons start -->
<xsl:if test="equipmentlist/weaponlist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Weapons','idWeapons');">Show Weapons: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idWeapons');">Page-break: NO</TD></TR></TABLE>
<DIV id="idWeapons" name="idWeapons">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="12">Weapons</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Damage</TH>
    <TH>Con</TH>
    <TH>Rch</TH>
    <TH>Sht(4)</TH>
    <TH>Med(5)</TH>
    <TH>Lng(6)</TH>
    <TH>EtM(9)</TH>
    <TH>Mode</TH>
    <TH>Ammo</TH>
    <TH>Wt.</TH>
  </TR>
	<xsl:for-each select='equipmentlist/weaponlist/weapon'>
	<TR class="center">
  	<TD class="box left">
    	<xsl:if test="not(damage) or damage='-'">+ </xsl:if>
	<xsl:if test="quantity">[<xsl:value-of select="quantity"/>] </xsl:if>
    	<xsl:value-of select="name"/><BR/><xsl:value-of select="accessories"/></TD>
   	<TD class="box"><xsl:value-of select="carried"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="damage"/><xsl:value-of select="mount"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="reach"/></TD>
  	<TD class="box"><xsl:value-of select="shortrange"/></TD>
  	<TD class="box"><xsl:value-of select="mediumrange"/></TD>
  	<TD class="box"><xsl:value-of select="longrange"/></TD>
  	<TD class="box"><xsl:value-of select="extremerange"/></TD>
  	<TD class="box"><xsl:value-of select="mode"/></TD>
  	<TD class="box"><xsl:value-of select="ammunition"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Weapons end -->

<!-- Gear start -->
<xsl:if test="equipmentlist/gearlist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Gear','idGear');">Show Gear: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idGear');">Page-break: NO</TD></TR></TABLE>
<DIV id="idGear" name="idGear">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="10">Gear</TH>
  </TR>
  <TR>
  	<TH colspan="10">Carried Gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Rating</TH>
    <TH>Con</TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>St.index</TH>
    <TH>Weight</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/gearlist/gear'>
  <xsl:if test="carried='yes'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="carried"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="rating"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
  </xsl:if>
	</xsl:for-each>

  <TR>
  	<TH colspan="10">Not Carried Gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Rating</TH>
    <TH>Con</TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>St.index</TH>
    <TH>Weight</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/gearlist/gear'>
  <xsl:if test="carried='no'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="carried"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="rating"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
  </xsl:if>
  </xsl:for-each>

</TABLE>
</DIV>
</xsl:if>
<!-- Gear end -->

<!-- Vehicles start -->
<xsl:if test="equipmentlist/vehiclelist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Vehicles','idVehicles');">Show Vehicles: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idVehicles');">Page-break: NO</TD></TR></TABLE>
<DIV id="idVehicles" name="idVehicles">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="2">Vehicles</TH>
  </TR>
  <xsl:for-each select='equipmentlist/vehiclelist/vehicle'>
  <xsl:if test="not(contains(name,'Remote Control Deck'))">
  <TR>
	<TD width="30%" class="box">
	    <B><xsl:value-of select="name"/></B>
	    <BR/>Book: <xsl:value-of select="book.page"/>&#160;<BR/><B>Damage:</B><BR/>
	    <table border="2" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                  <td width="10%" align="center"><b>L</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>M</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>S</b></td>                 			<td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>D</b></td>
	       </tr>
	    </table>
	</TD>
	<TD width="70%" class="box">
           <TABLE class="simple">
              <TR>
	         <TH class="box">Handling</TH>
	         <TH class="box">Speed/Accel</TH>
	         <TH class="box">Body/Armor</TH>
	         <TH class="box">Signature/Autonav</TH>
              </TR>
              <TR class="center">
	         <TD class="box"><xsl:value-of select="handling"/></TD>
	         <TD class="box"><xsl:value-of select="speed-accel"/></TD>
	         <TD class="box"><xsl:value-of select="body-armor"/></TD>
	         <TD class="box"><xsl:value-of select="sig-autonav"/></TD>
              </TR>
              <TR>
	         <TH class="box">Pilot/Sensor</TH>
	         <TH class="box">Cargo/Load</TH>
	         <TH class="box">Seating</TH>
		   <TH class="box"></TH>
              </TR>
              <TR class="center">
	         <TD class="box"><xsl:value-of select="pilot-sensor"/></TD>
	         <TD class="box"><xsl:value-of select="cargo-load"/></TD>
	         <TD class="box"><xsl:value-of select="seating"/></TD>
		   <TD class="box"></TD>
		</TR>
		<xsl:if test="notes">
		<TR>
			<TH align="left" colspan="4">Notes:</TH>
		</TR>
		<TR>
			<TD colspan ="4"><xsl:value-of select="notes"/></TD>
            </TR>
		</xsl:if> 
		<xsl:if test="accessories">
  		<TR>
			<TH align="left" colspan="4">Accessories:</TH>
  		</TR>
  		<xsl:for-each select='accessories'>
  		<TR>
			<TD colspan="4"><xsl:value-of select="name"/></TD>
  		</TR>
  		</xsl:for-each>
		</xsl:if>
		<xsl:if test="weapon">
  		<TR>
			<TH align="left" colspan="4">Weapons:</TH>
  		</TR>
  		<xsl:for-each select='weapon'>
  		<TR>
 			<TD colspan="4"><xsl:value-of select="name"/></TD>
  		</TR>
  		</xsl:for-each>
		</xsl:if>

	   </TABLE>
	</TD>
  </TR>
  </xsl:if>
  </xsl:for-each>

</TABLE>
</DIV>
</xsl:if>
<!-- Vehicles end -->

<!-- Contacts start -->
<xsl:if test="contactlist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Contacts','idContacts');">Show Contacts: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idContacts');">Page-break: NO</TD></TR></TABLE>
<DIV id="idContacts" name="idContacts">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="2">Contacts</TH>
  </TR>
	<xsl:for-each select='contactlist/contact'>
   <TR>
    	<TD width="20%" class="box"><xsl:value-of select="name"/></TD>
	<TD width="80%" class="box">
		<TABLE class="simple">
		<TR>
  			<TH>Location</TH>
    			<TH>Archetype</TH>
    			<TH>Occupation</TH>
    			<TH>Level</TH>
		</TR>
      	<TR>
   			<TD width="28%" class="center"><xsl:value-of select="location"/></TD>
   			<TD width="28%" class="center"><xsl:value-of select="archetype"/></TD>
   			<TD width="28%" class="center"><xsl:value-of select="occupation"/></TD>
   			<TD width="16%" class="center"><xsl:value-of select="level"/></TD>
		</TR>
		<TR>
			<TD colspan="4">Race/Desc: <xsl:value-of select="racedescription"/></TD>
		</TR>
		<TR>
			<TD colspan="4">History/Relationship: <xsl:value-of select="historyrelationship"/></TD>
		</TR>
		</TABLE>
	</TD>
   </TR>
  </xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Contacts end -->

<!-- Biography start -->
<xsl:if test="biography">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Biography','idBiography');">Show Biography: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idBiography');">Page-break: NO</TD></TR></TABLE>
<DIV id="idBiography" name="idBiography">
<TABLE class="table" frame="box">
  <TR>
   	<TH>Biography</TH>
  </TR>
  <TR>
   	<TD class="box"><xsl:value-of disable-output-escaping="yes" select="biography"/></TD>
  </TR>
</TABLE>
</DIV>
</xsl:if>
<!-- Biography end -->


</BODY>
</HTML>

</xsl:template>

</xsl:stylesheet>
