<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="windows-1250"/>


<xsl:template match="/SR3Char">
<HTML>
<HEAD>
	<TITLE>Shadowrun Character Sheet [<xsl:value-of select='bio/currentname'/>]</TITLE>
	<LINK rel="stylesheet" href="./style.css" type="text/css"/>
	<META http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<script>
<xsl:text>
function zalomit(what,idx)
{
   var elem = document.getElementById(idx); 
   if(elem.style.pageBreakBefore=='always')  {
      txt="NO";
      elem.style.pageBreakBefore = 'auto';
   }
   else {
      txt="YES";
      elem.style.pageBreakBefore = 'always';
   }
   what.innerHTML = "Page-break: " + txt;
}
function showhide(what,lbl,idx)
{
   var elem = document.getElementById(idx); 
   if(elem.style.display!='none')  {
     txt="NO";
     elem.className = 'common';
     elem.style.display = 'none';
   }
   else {
     txt="YES";
     elem.className = '';
     elem.style.display = 'block';
   }
   what.innerHTML = "Show " + lbl +": " + txt;
}
</xsl:text>
</script>

</HEAD>

<BODY>

<!-- Name of Char, Creator info start -->
<TABLE class="table">
	<TR>
		<TD class="title" colspan="1"><xsl:value-of select='bio/currentname'/></TD>
		<TD>Created by <xsl:value-of select='realworld/playername'/> at <xsl:value-of select='realworld/creationdate'/>, last modified at <xsl:value-of select='realworld/lastmoddate'/></TD>
	</TR>
</TABLE>
<!-- Name of Char, Creator info end -->


<!-- Logo, Informations, Attributes start -->
<a class="common" href="javascript:void(0)" onClick="showhide(this,'Basic Info','idAttribs');">Show Basic Info: YES</a>
<DIV id="idAttribs" name="idAttribs">
<TABLE class="table">
	<TR>
		<TH>Informations</TH>
		<TH>Attributes</TH>
		<TD rowspan="2">
<font size="small">
<table border="1" cellspacing="0" width="150">
<tr><th colspan="8"><b>Condition Monitor</b></th></tr>
<tr><td colspan="2"><b>Stun</b></td>
<td colspan="2"><b>Physical</b></td>
<td colspan="3"><b>OvrDm</b></td></tr>
<tr><td width="25%" rowspan="2">+1 to TNs</td>
<td width="5%"><b>L</b></td>
<td width="5%"><b>L</b></td>
<td width="25%" rowspan="2">+1 to TNs</td>
<td width="5%">&#160;</td>
<td width="5%">&#160;</td>
<td width="5%">&#160;</td></tr>
<tr><td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td></tr>
<tr><td rowspan="3">+2 to TNs</td>
<td><b>M</b></td>
<td><b>M</b></td>
<td rowspan="3">+2 to TNs</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td></tr>
<tr><td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td></tr>
<tr><td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
<td>&#160;</td>
</tr>
<tr><td rowspan="4">+3 to TNs</td>
<td><b>S</b></td>
<td><b>S</b></td>
<td rowspan="4">+3 to TNs</td>
</tr>
<tr><td>&#160;</td>
<td>&#160;</td>
<td colspan="4" rowspan="4"></td>
</tr>
<tr><td>&#160;</td>
<td>&#160;</td>
</tr>
<tr><td>&#160;</td>
<td>&#160;</td>
</tr>
<tr><td>Uncons.</td>
<td><b>D</b></td>
<td><b>D</b></td>
<td>Dying</td>
</tr>
<tr><td colspan="7"><b>Stun overflows into Physical</b></td></tr>
<tr><td colspan="7"><b>+ TN# = -REAC#</b></td></tr>
</table>
</font>
      </TD>
   </TR>

   <TR>
   <!-- Informations start -->
      <TD>
        <TABLE>
      	<TR><TD colspan="2"><b>Street Name</b>: <xsl:value-of select='bio/currentname'/></TD></TR>
        <TR><TD colspan="2"><b>Real Name</b>: <xsl:value-of select='bio/realname'/></TD></TR>
        <TR><TD colspan="2"><b>DoB</b>: <xsl:value-of select="bio/birthdate"/></TD></TR>
        <TR><TD colspan="2"><b>BirthPlace</b>: <xsl:value-of select="bio/birthplace"/></TD></TR>
        <TR><TD colspan="2"><HR/></TD></TR>
        <TR><TD><b>Metatype</b>: <xsl:value-of select="bio/race"/></TD>
            <TD><b>Gender</b>: <xsl:value-of select="bio/gender"/></TD></TR>
        <TR><TD><b>Hair</b>: <xsl:value-of select="bio/hair"/></TD>
            <TD><b>Weight</b>: <xsl:value-of select="bio/weight"/> kg</TD></TR>
        <TR><TD><b>Eyes</b>: <xsl:value-of select="bio/eyes"/></TD>
            <TD><b>Height</b>: <xsl:value-of select="bio/height"/> cm</TD></TR>
        <TR><TD colspan="2"><HR/></TD></TR>
        <TR><TD colspan="2"><b>Specials</b>: <xsl:for-each select="racedesc">
	      	<xsl:for-each select="line"><LI><xsl:value-of select="."/></LI></xsl:for-each>
  	        </xsl:for-each></TD></TR>
        </TABLE>
      </TD>
   <!-- Informations end -->

   <!-- Attributes start -->
      <TD>
        <TABLE>
           <TR>
              <TD><b>Body</b></TD>
              <TD class="center">
                 <xsl:value-of select="attributes/attribute/natural[contains(../name,'body')]"/>
                 /
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'body')]"/>
              </TD>
           </TR>
           <TR>
              <TD><b>Quickness</b></TD>
              <TD class="center">
                  <xsl:value-of select="attributes/attribute/natural[contains(../name,'quickness')]"/>
                  /
                  <xsl:value-of select="attributes/attribute/total[contains(../name,'quickness')]"/>
              </TD>
           </TR>
           <TR>
              <TD><b>Strength</b></TD>
              <TD class="center">
                 <xsl:value-of select="attributes/attribute/natural[contains(../name,'strength')]"/>
                 /
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'strength')]"/>
              </TD>
           </TR>
           <TR>
              <TD><b>Intelligence</b></TD>
              <TD class="center">
                 <xsl:value-of select="attributes/attribute/natural[contains(../name,'intelligence')]"/>
                 /
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'intelligence')]"/>
              </TD>
           </TR>
           <TR>
              <TD><b>Charisma</b></TD>
              <TD class="center">
                 <xsl:value-of select="attributes/attribute/natural[contains(../name,'charisma')]"/>
                 /
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'charisma')]"/>
              </TD>
           </TR>
           <TR>
              <TD><b>Willpower</b></TD>
              <TD class="center">
                 <xsl:value-of select="attributes/attribute/natural[contains(../name,'willpower')]"/>
                 /
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'willpower')]"/>
              </TD>
           </TR>
           <TR>
              <TD class="divide"><b>Magic</b></TD>
              <TD class="center divide">
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'magic')]"/>&#160;
              </TD>
           </TR>
           <TR>
              <TD><b>Essence</b></TD>
              <TD class="center">
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'essence')]"/>(<xsl:value-of select="attributes/attribute/augment[contains(../name,'essence')]"/>)
              </TD>
           </TR>
           <TR>
              <TD><b>Reaction</b></TD>
              <TD class="center">
                 <xsl:value-of select="attributes/attribute/natural[contains(../name,'reaction')]"/>
                 /
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'reaction')]"/>
              </TD>
           </TR>
           <TR>
              <TD><b>Initiative</b></TD>
              <TD class="center">
                 <xsl:value-of select="attributes/attribute/natural[contains(../name,'initiative')]"/>
                 /
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'initiative')]"/>
              </TD>
           </TR>
           <TR>
              <TD class="divide"><b>Encumbrance</b></TD>
              <TD class="center divide">
                 <xsl:value-of select="equipmentlist/carriedweight"/> 
                 /
                 <xsl:value-of select="attributes/attribute/total[contains(../name,'strength')] * 5"/> kg
              </TD>
           </TR>
	<!-- Attributes end -->
        </TABLE>

        <!-- Edges and Flaws start -->
        <TABLE>
           <TR>
              <TH colspan="2">Edges and Flaws</TH>
           </TR>
           <TR>
              <TD colspan="2" class="bold">
                 <xsl:for-each select="advantages/advantage">
                    <xsl:value-of select="name"/> (<xsl:value-of select="cost"/>)<BR/>
                 </xsl:for-each>
              </TD>
           </TR>
        </TABLE>
       <!-- Edges and Flaws end -->

    </TD>
  </TR>
</TABLE>
<!-- Logo, Informations, Attributes end -->

<!-- Karma and Pools, C.S. and L.S., Armors, Edges and Flaws start -->
<TABLE class="table">
	<TR>
		<TH>Karma and Pools</TH>
    <TH>Credit Sticks and Lifestyles</TH>
    <TH>Armors/Clothing</TH>
	</TR>

  <TR>
  <!-- Karma and Pools start -->
     <TD>
    	<TABLE>
	  <TR>
	    <TD colspan="2">
             <b>Karma total: </b> <xsl:value-of select='bio/karmatotal'/>
             <BR/><b>Karma remaining: </b> <xsl:value-of select='bio/karmaremaining'/>
            </TD>
	  </TR>
          <TR>
             <TD colspan="2"><HR/></TD>
          </TR>
          <TR>
            <TD><b>Combat: </b> <xsl:value-of select="pools/combat"/></TD>
            <TD><b>Spell: </b> <xsl:value-of select="pools/spell"/></TD>
          </TR>
          <TR>
            <TD><b>Hacking: </b> <xsl:value-of select="pools/hacking"/></TD>
            <TD><b>Astral: </b> <xsl:value-of select="pools/astral"/></TD>
          </TR>
          <TR>
            <TD><b>Control: </b> <xsl:value-of select="pools/control"/></TD>
            <TD><b>Task: </b> <xsl:value-of select="pools/task"/></TD>
          </TR>
          <TR>
            <TD colspan="2"><b>Karma: </b> <xsl:value-of select="pools/karma"/></TD>
          </TR>
      </TABLE>
    </TD>
  <!-- Karma and Pools end -->

  <!-- C.S. and L.S. start -->
		<TD>
 	  <TABLE>
		<TR>
		  <TH>Identy</TH>
		  <TH>Type</TH>
		  <TH>Rating</TH>
		  <TH>Value</TH>
		</TR>
		<xsl:for-each select="bio/credsticks/credstick">
		   <TR class="bold">
     		<TD align="right"><xsl:value-of select="identity"/></TD>
     		<TD align="right"><xsl:value-of select="type"/></TD>
     		<TD align="right"><xsl:value-of select="rating"/></TD>
     		<TD align="right"><xsl:value-of select="holding"/> &#165;</TD>
   		   </TR>
		</xsl:for-each>
      </TABLE>

			<TABLE>
      	<TR>
        	<TH>Residence</TH>
          <TH>Lvl</TH>
          <TH>Prim</TH>
        	<TH>From</TH>
          <TH>Mons</TH>
        </TR>
			<xsl:for-each select="bio/lifestyles/lifestyle">
				<TR>
        	<TD class="bold"><xsl:value-of select="residence"/></TD>
        	<TD class="center"><xsl:value-of select="level"/></TD>
        	<TD class="center"><xsl:value-of select="primary"/></TD>
        	<TD><xsl:value-of select="startdate"/></TD>
        	<TD class="center"><xsl:value-of select="months"/></TD>
        </TR>
			</xsl:for-each>
      </TABLE>
    </TD>
  <!-- C.S. and L.S. end -->

  <!-- Armors start -->
    <TD>
      <TABLE>
      	<TR>
      	   <TH>Name</TH>
      	   <TH>Armor</TH>
      	   <TH>kg</TH>
      	   <TH>Book</TH>
        </TR>
      	   <xsl:for-each select="equipmentlist/armorlist/armor[contains(carried,'yes')]">
      	      <xsl:sort select="ballistic + impact" data-type="number" order="descending"/>
      	         <TR>
      	            <TD class="bold"><xsl:value-of select="name"/></TD>
      	            <TD class="center">
      	               <xsl:value-of select="ballistic"/>
      	               /
      	               <xsl:value-of select="impact"/>
      	            </TD>
      	            <TD class="center"><xsl:value-of select="mass"/></TD>
      	            <TD class="center"><xsl:value-of select="book.page"/></TD>
      	         </TR>
           </xsl:for-each>
<xsl:variable name="max-bal">
   <xsl:if test="equipmentlist/armorlist/armor[contains(carried,'yes')]/ballistic">
     <xsl:for-each select="equipmentlist/armorlist/armor[contains(carried,'yes')]/ballistic">
       <xsl:sort data-type="number" order="descending"/>
       <xsl:if test="position()=1">
          <xsl:if test=". != '-'">
             <xsl:value-of select="." />
	  </xsl:if>
          <xsl:if test=". = '-'">
             0
	  </xsl:if>
       </xsl:if>
     </xsl:for-each>
   </xsl:if>
   <xsl:if test="not(equipmentlist/armorlist/armor[contains(carried,'yes')]/ballistic)">
     0
   </xsl:if>
</xsl:variable>
<xsl:variable name="next-bal">
     <xsl:for-each select="equipmentlist/armorlist/armor[contains(carried,'yes')]/ballistic">
       <xsl:sort data-type="number" order="descending"/>
       <xsl:if test="last() &lt; 2">
          0
       </xsl:if>
       <xsl:if test="position()=2">
          <xsl:if test=". != '-'">
             <xsl:value-of select="." />
	  </xsl:if>
          <xsl:if test=". = '-'">
             0
	  </xsl:if>
       </xsl:if>
     </xsl:for-each>
</xsl:variable>
<xsl:variable name="max-imp">
   <xsl:if test="equipmentlist/armorlist/armor[contains(carried,'yes')]/impact">
     <xsl:for-each select="equipmentlist/armorlist/armor[contains(carried,'yes')]/impact">
       <xsl:sort data-type="number" order="descending"/>
       <xsl:if test="position()=1">
          <xsl:if test=". != '-'">
             <xsl:value-of select="." />
	  </xsl:if>
          <xsl:if test=". = '-'">
             0
	  </xsl:if>
       </xsl:if>
     </xsl:for-each>
   </xsl:if>
   <xsl:if test="not(equipmentlist/armorlist/armor[contains(carried,'yes')]/impact)">
     0
   </xsl:if>
</xsl:variable>
<xsl:variable name="next-imp">
     <xsl:for-each select="equipmentlist/armorlist/armor[contains(carried,'yes')]/impact">
       <xsl:sort data-type="number" order="descending"/>
       <xsl:if test="last() &lt; 2">
          0
       </xsl:if>
       <xsl:if test="position()=2">
          <xsl:if test=". != '-'">
             <xsl:value-of select="." />
	  </xsl:if>
          <xsl:if test=". = '-'">
             0
	  </xsl:if>
       </xsl:if>
     </xsl:for-each>
</xsl:variable>
        <TR>
            <TD class="bold divide">Totals</TD>
      	    <TD class="center divide">
                <xsl:value-of select="$max-bal + ($next-bal div 2)"/>
      	        /
      	        <xsl:value-of select="$max-imp + ($next-imp div 2)"/>
      	    </TD>
	    <TD class="center divide"><xsl:value-of select="sum(equipmentlist/armorlist/armor[contains(carried,'yes')]/mass)"/></TD>
	    <TD class="center divide">&#160;</TD>
	</TR>
      </TABLE>
    </TD>
  <!-- Armors end -->

  </TR>
</TABLE>
</DIV>
<!-- Karma and Pools, C.S. and L.S., Armors, Edges and Flaws end -->


<!-- Active skills, Knowledges, Languages start -->
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Skills','idSkills');">Show Skills: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idSkills');">Page-break: NO</TD></TR></TABLE>
<DIV id="idSkills" name="idSkills">
<TABLE class="table">
	<TR>
	 	<TH>Active skills</TH>
 		<TH>Knowlege skills</TH>
	 	<TH>Languages</TH>
	</TR>

  <TR>
  <!-- Active skills start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/active/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Active skills end -->

  <!-- Knowledges skills start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/knowledge/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Knowledges skills end -->

  <!-- Languages start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/language/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Languages end -->
  </TR>
</TABLE>
</DIV>
<!-- Active skills, Knowledges, Languages end -->

<!-- Physad skills start -->
<xsl:if test="magic/physad">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Physad Skills','idPhysAd');">Show Physad Skills: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idPhysAd');">Page-break: NO</TD></TR></TABLE>
<DIV id="idPhysAd" name="idPhysAd">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="5">Physad skills</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Cost</TH>
    <TH>Mods</TH>
    <TH>Book</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='magic/physad/power'>
	<TR>
  	<TD class="box"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="format-number(cost,'#.00')"/></TD>
   	<TD class="box"><xsl:value-of select="mods"/></TD>
   	<TD class="box"><xsl:value-of select="book.page"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Physad skills end -->

<!-- Magic info start -->
<xsl:if test="magic">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Magic Info','idMagicInfo');">Show Magic Info: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idMagicInfo');">Page-break: NO</TD></TR></TABLE>
<DIV id="idMagicInfo" name="idMagicInfo">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="11"><xsl:value-of select="magic/magetype"/></TH>
  </TR>
  <TR class="center">
    <TH>Magic attribute:</TH>
    <TD>Total:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/total"/></TD>
    <TD>Start:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/start"/></TD>
    <TD>Initialization:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/initialization"/></TD>
    <TD>Geasa:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/geasa"/></TD>
    <TD>Spent:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/spent"/></TD>
  </TR>
  <TR>
    <TH>Desc:</TH>
  	<TD colspan="10"><xsl:value-of disable-output-escaping="yes" select="magic/desc"/></TD>
  </TR>
  <TR>
  	<TH>Initiation desc</TH>
  	<TD colspan="10"><xsl:value-of select="magic/initiationdesc"/></TD>
  </TR>
  <TR>
    <TH>Group list</TH>
    <TD colspan="4" class="box">
	  <xsl:for-each select='magic/groupslist/group'>
		<xsl:value-of select="."/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
    </TD>
    <TH class="left">Geas list</TH>
    <TD colspan="5" class="box">
	  <xsl:for-each select='magic/geaslist/geas'>
		<xsl:value-of select="."/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
    </TD>
  </TR>
</TABLE>
</DIV>
</xsl:if>
<!-- Magic info end -->

<!-- Spells start -->
<xsl:if test="magic/spelllist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Spells','idSpells');">Show Spells: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idSpells');">Page-break: NO</TD></TR></TABLE>
<DIV id="idSpells" name="idSpells">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="9">Spells</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Force</TH>
    <TH>Type</TH>
    <TH>Target</TH>
    <TH>Duration</TH>
    <TH>Range</TH>
    <TH>Drain</TH>
    <TH>Note</TH>
    <TH>Cost</TH>
  </TR>
	<xsl:for-each select='magic/spelllist/spell'>
	<TR class="center">
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="force"/></TD>
   	<TD class="box"><xsl:value-of select="type"/></TD>
   	<TD class="box"><xsl:value-of select="target"/></TD>
  	<TD class="box"><xsl:value-of select="duration"/></TD>
  	<TD class="box"><xsl:value-of select="range"/></TD>
  	<TD class="box"><xsl:value-of select="drain"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Spells end -->

<!-- Mage Gear -->
<xsl:if test="equipmentlist/magegearlist/magegear">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Mage Gear','idMageGear');">Show Mage Gear: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idMageGear');">Page-break: NO</TD></TR></TABLE>
<DIV id="idMageGear" name="idMageGear">
<TABLE class="table" frame="box">
  <TR>
  	<TH>Mage gear</TH>
  	<TH>Mage gear</TH>
  </TR>
		<xsl:for-each select="equipmentlist/magegearlist/magegear[position() mod 2 = 1]">
		   <TR>
     		<TD><xsl:value-of select="name"/></TD>
     		<TD><xsl:value-of select="following-sibling::magegear[1]/name"/></TD>
   		   </TR>
		</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Mage Gear end -->


<!-- Deck start -->
<xsl:if test="decker/deckinfo">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Deck Info','idDeckInfo');">Show Deck Info: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idDeckInfo');">Page-break: NO</TD></TR></TABLE>
<DIV id="idDeckInfo" name="idDeckInfo">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="6">Deck - <xsl:value-of select="decker/deckinfo/deckname"/></TH>
  </TR>
  <TR>
	<TD class="box">Reaction</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/reaction"/></TD>
	<TD class="box">MPCP</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/mpcp"/></TD>
	<TD class="box">Hardening</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/hardening"/></TD>
  </TR>
  <TR>
	<TD class="box">Initiative(D6)</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/initiative"/></TD>
	<TD class="box">BOD Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/bod"/></TD>
	<TD class="box">Evasion Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/evasion"/></TD>
  </TR>
  <TR>
	<TD class="box">Hacking Pool</TD>
  	<TD class="box center"><xsl:value-of select="pools/hacking"/></TD>
	<TD class="box">Masking Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/masking"/></TD>
	<TD class="box">Sensor Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/sensor"/></TD>
  </TR>
  <TR>
	<TD class="box">Memory Active/Storage</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/activememory"/>/<xsl:value-of select="decker/deckinfo/storagemem"/></TD>
	<TD class="box">I/O Speed</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/iospeed"/></TD>
	<TD class="box">Response Increase</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/responseincr"/></TD>
  </TR>
  <TR>
  <TR>
  	<TH colspan="6">Software</TH>
  </TR>
  <TR>
	<TD class="box" colspan="6">
 	  <TABLE>
	     <TR>
		<TH>?</TH>
		<TH>Software</TH>
		<TH>?</TH>
		<TH>Software</TH>
		<TH>?</TH>
		<TH>Software</TH>
	     </TR>
		<xsl:for-each select="decker/decklist/deck/software[position() mod 3 = 1]">
		   <TR>
     		<TD class="box">&#160;</TD><TD class="box" align="left"><xsl:value-of select="./name"/></TD>
     		<TD class="box">&#160;</TD><TD class="box" align="left"><xsl:value-of select="following-sibling::software[1]/name"/></TD>
     		<TD class="box">&#160;</TD><TD class="box" align="left"><xsl:value-of select="following-sibling::software[2]/name"/></TD>
   		   </TR>
		</xsl:for-each>
         </TABLE>
	</TD>
  </TR>
  </TR>

</TABLE>
</DIV>
</xsl:if>
<!-- Deck end -->

<!-- Cyberware start -->
<xsl:if test="augmentation/cyberware">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Cyberware','idCyberWare');">Show Cyberware: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idCyberWare');">Page-break: NO</TD></TR></TABLE>
<DIV id="idCyberWare" name="idCyberWare">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="4">Cyberware</TH>
  </TR>
  <TR>
    <TH>Name</TH>
    <TH>Essence</TH>
    <TH>Note</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='augmentation/cyberware'>
	<TR>
  	<TD class="box nowrap"><xsl:value-of select="name"/></TD>
   	<TD class="box center"><xsl:value-of select="essencecost"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Cyberware end -->

<!-- Bioware start -->
<xsl:if test="augmentation/bioware">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Bioware','idBioWare');">Show Bioware: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idBioWare');">Page-break: NO</TD></TR></TABLE>
<DIV id="idBioWare" name="idBioWare">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="4">Bioware</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Bodycost</TH>
    <TH>Note</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='augmentation/bioware'>
	<TR>
  	<TD class="box nowrap"><xsl:value-of select="name"/></TD>
   	<TD class="box center"><xsl:value-of select="bioindexcost"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Bioware end -->

<!-- Weapons start -->
<xsl:if test="equipmentlist/weaponlist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Weapons','idWeapons');">Show Weapons: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idWeapons');">Page-break: NO</TD></TR></TABLE>
<DIV id="idWeapons" name="idWeapons">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="13">Weapons</TH>
  </TR>
  <TR>
    <TH>Name</TH>
    <TH>Qty</TH>
    <TH>Damage</TH>
    <TH>Con</TH>
    <TH>Rch</TH>
    <TH>Sht(4)</TH>
    <TH>Med(5)</TH>
    <TH>Lng(6)</TH>
    <TH>EtM(9)</TH>
    <TH>Mode</TH>
    <TH>Ammo</TH>
    <TH>Wt.</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/weaponlist/weapon'>
        <xsl:if test="carried='yes'">
	<TR class="center">
  	<TD class="box left">
    	<xsl:if test="not(damage) or damage='-'">+ </xsl:if>
    	<xsl:value-of select="name"/><BR/><xsl:value-of select="accessories"/></TD>
   	<TD class="box"><xsl:value-of select="quantity"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="damage"/><xsl:value-of select="mount"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="reach"/></TD>
  	<TD class="box"><xsl:value-of select="shortrange"/></TD>
  	<TD class="box"><xsl:value-of select="mediumrange"/></TD>
  	<TD class="box"><xsl:value-of select="longrange"/></TD>
  	<TD class="box"><xsl:value-of select="extremerange"/></TD>
  	<TD class="box"><xsl:value-of select="mode"/></TD>
  	<TD class="box"><xsl:value-of select="ammunition"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
   	<TD class="box"><xsl:value-of select="book.page"/></TD>
        </TR>
	</xsl:if>
	</xsl:for-each>
   	<TH colspan="13">Not Carried</TH>
	<xsl:for-each select='equipmentlist/weaponlist/weapon'>
        <xsl:if test="carried='no'">
	<TR class="center">
  	<TD class="box left">
    	<xsl:if test="not(damage) or damage='-'">+ </xsl:if>
    	<xsl:value-of select="name"/><BR/><xsl:value-of select="accessories"/></TD>
   	<TD class="box"><xsl:value-of select="quantity"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="damage"/><xsl:value-of select="mount"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="reach"/></TD>
  	<TD class="box"><xsl:value-of select="shortrange"/></TD>
  	<TD class="box"><xsl:value-of select="mediumrange"/></TD>
  	<TD class="box"><xsl:value-of select="longrange"/></TD>
  	<TD class="box"><xsl:value-of select="extremerange"/></TD>
  	<TD class="box"><xsl:value-of select="mode"/></TD>
  	<TD class="box"><xsl:value-of select="ammunition"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
   	<TD class="box"><xsl:value-of select="book.page"/></TD>
        </TR>
	</xsl:if>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Weapons end -->

<!-- Gear start -->
<xsl:if test="equipmentlist/gearlist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Gear','idGear');">Show Gear: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idGear');">Page-break: NO</TD></TR></TABLE>
<DIV id="idGear" name="idGear">
<TABLE class="table" frame="box">
  <TR>
  	<TH colspan="9">Carried Gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
    <TH>Rating</TH>
    <TH>Con</TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>St.index</TH>
    <TH>Weight</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/gearlist/gear'>
  <xsl:if test="carried='yes'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="rating"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
  </xsl:if>
	</xsl:for-each>

  <TR>
  	<TH colspan="9">Not Carried Gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
    <TH>Rating</TH>
    <TH>Con</TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>St.index</TH>
    <TH>Weight</TH>
    <TH>Book</TH>
  </TR>
  <xsl:for-each select='equipmentlist/gearlist/gear'>
    <xsl:if test="carried='no'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="rating"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
        </TR>
    </xsl:if>
  </xsl:for-each>
  <xsl:for-each select='equipmentlist/armorlist/armor'>
    <xsl:if test="carried='no'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="ballistic"/>/<xsl:value-of select="impact"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
        </TR>
    </xsl:if>
  </xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Gear end -->

<!-- Vehicles start -->
<xsl:if test="equipmentlist/vehiclelist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Vehicles','idVehicles');">Show Vehicles: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idVehicles');">Page-break: NO</TD></TR></TABLE>
<DIV id="idVehicles" name="idVehicles">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="2">Vehicles</TH>
  </TR>
  <xsl:for-each select='equipmentlist/vehiclelist/vehicle'>
  <TR>
	<TD class="box">
	    <B><xsl:value-of select="name"/></B>
	    <BR/>Book: <xsl:value-of select="book.page"/>&#160;<BR/><B>Damage:</B><BR/>
	    <table border="2" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                  <td width="10%" align="center"><b>L</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>M</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>S</b></td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="Center">&#160;</td>
                  <td width="10%" align="center"><b>D</b></td>
	       </tr>
	    </table>
	</TD>
	<TD class="box">
           <TABLE>
              <TR>
	         <TH>Handling</TH>
	         <TH>Speed/Accel</TH>
	         <TH>Body/Armor</TH>
	         <TH>Signature/Autonav</TH>
              </TR>
              <TR class="center">
	         <TD class="box"><xsl:value-of select="handling"/></TD>
	         <TD class="box"><xsl:value-of select="speed-accel"/></TD>
	         <TD class="box"><xsl:value-of select="body-armor"/></TD>
	         <TD class="box"><xsl:value-of select="sig-autonav"/></TD>
              </TR>
              <TR>
	         <TH>Pilot/Sensor</TH>
	         <TH>Cargo/Load</TH>
	         <TH>Seating</TH>
		 <TH>Notes</TH>
              </TR>
              <TR class="center">
	         <TD class="box"><xsl:value-of select="pilot-sensor"/></TD>
	         <TD class="box"><xsl:value-of select="cargo-load"/></TD>
	         <TD class="box"><xsl:value-of select="seating"/></TD>
		 <TD class="box"><xsl:value-of select="notes"/></TD>
              </TR>
	   </TABLE>
	</TD>
  </TR>
  </xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Vehicles end -->

<!-- Contacts start -->
<xsl:if test="contactlist">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Contacts','idContacts');">Show Contacts: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idContacts');">Page-break: NO</TD></TR></TABLE>
<DIV id="idContacts" name="idContacts">
<TABLE class="table" frame="box">
  <TR>
   	<TH colspan="5">Contacts</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
   	<TH>Location</TH>
    <TH>Archetype</TH>
    <TH>Occupation</TH>
    <TH>Level</TH>
  </TR>
	<xsl:for-each select='contactlist/contact'>
	<TR class="center">
   	<TD class="box"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="location"/></TD>
   	<TD class="box left"><xsl:value-of select="archetype"/></TD>
   	<TD class="box"><xsl:value-of select="occupation"/></TD>
   	<TD class="box"><xsl:value-of select="level"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</DIV>
</xsl:if>
<!-- Contacts end -->

<!-- Biography start -->
<xsl:if test="biography">
<TABLE class="common" border="1"><TR><TD class="common" onClick="showhide(this,'Biography','idBiography');">Show Biography: YES</TD><TD class="common" width="50%" onClick="zalomit(this,'idBiography');">Page-break: NO</TD></TR></TABLE>
<DIV id="idBiography" name="idBiography">
<TABLE class="table" frame="box">
  <TR>
   	<TH>Biography</TH>
  </TR>
  <TR>
   	<TD class="box"><xsl:value-of disable-output-escaping="yes" select="biography"/></TD>
  </TR>
</TABLE>
</DIV>
</xsl:if>
<!-- Biography end -->


</BODY>
</HTML>

</xsl:template>

</xsl:stylesheet>