<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="windows-1250"/>



<xsl:template match="/">

		<HTML>
		
		<HEAD>
		<script>
		<xsl:text>
		function zalomit(what)
		{
			if(what.className=="common zalomit")  {
			cls="common";
			txt="____";
		  }
		  else {
			cls="common zalomit";
			txt="_PB_";
		  }
		  what.className = cls;
		  what.innerHTML = txt;
		}
		</xsl:text>
		</script>

		<TITLE>Shadowrun Character Sheet [<xsl:value-of select='SR3Char/bio/currentname'/>]</TITLE>
		
		<STYLE>
		
		body
			{
			font-family: verdana, arial;
			font-size: 8pt;
			}
			
		.heading
			{
			font-family: arial;
			font-size: 14pt;
			color: white;
			}
					
		.subheading
			{
			font-family: arial;
			font-size: 10pt;
			font-weight: bold;
			color: white;
			}
					
		.title
			{
			font-family: verdana, arial;
			font-size: 14pt;
			font-weight: bold;
			}
					
		td
			{
			font-size: 8pt;
			}
			
		.FictionText
			{
			font-size: 8pt;
			}
			
		</STYLE>
		</HEAD>
		
<BODY BGCOLOR="#ffffff" TExT="#000000" LINK="#000099" VLINK="#551A8B" ALINK="#FF0000">

<TABLE BORDER="1" WIDTH="100%" CELLSPACING="0" CELLPADDING="4">

	<TR VALIGN="TOP">
		<TD colspan="4" bgcolor="Black" class="heading">Shadowrun 3rd ed. Character Sheet</TD>
	</TR>

	<TR>
		<TD class="title" colspan="2"><xsl:value-of select="SR3Char/bio/currentname"/></TD>
		<TD colspan="2">by <xsl:value-of select="SR3Char/realworld/playername"/></TD>
	</TR>

	<TR VALIGN="TOP">
		<TD class="subheading" width="25%" bgcolor="black">Attributes</TD>
		<TD class="subheading" width="30%" bgcolor="black">Active Skills</TD>
		<TD class="subheading" width="30%" bgcolor="black">Knowledge Skills</TD>
		<TD class="subheading" width="15%" bgcolor="black">Dice Pool</TD>
	</TR>
	<TR VALIGN="TOP">
		<TD>
		<table width="95%">
			<xsl:for-each select='SR3Char/attributes/attribute'>
				<TR>
				<TD align="left"><b><xsl:value-of select="name"/> </b></TD>
				<xsl:choose>
					<xsl:when test='total'>
					<TD align="right"><xsl:value-of select="total"/> </TD>
					</xsl:when>
					<xsl:when test='runmult'>
						<TD align="right"><xsl:value-of select="runmult"/> </TD>
					</xsl:when>
					<xsl:when test='bodyindex'>
						<TD align="right"><xsl:value-of select="bodyindex"/> </TD>
					</xsl:when>
					</xsl:choose>
				</TR>
			</xsl:for-each>
		</table>
		</TD>

		<TD>
		<table width="95%">
		<xsl:for-each select='SR3Char/skills/active/skill'>
			<TR>
			<TD align="left"><xsl:value-of select="name"/></TD>
			<TD align="right">(<xsl:value-of select="rating"/>)</TD>
			<xsl:for-each select="specialization">
				<TR><TD align="left">-- <xsl:value-of select="name"/></TD>
				<TD align="right">(<xsl:value-of select="rating"/>)</TD>
				</TR>
			</xsl:for-each>
			</TR>
		</xsl:for-each>
		</table>
		</TD>
		<TD>
			<table width="95%">
			<xsl:for-each select='SR3Char/skills/knowledge/skill'>
				<TR>
				<TD align="left"><xsl:value-of select="name"/></TD>
				<TD align="right">(<xsl:value-of select="rating"/>)</TD>

				<xsl:for-each select="specialization">
					<TR><TD align="left">-- <xsl:value-of select="name"/></TD>
					<TD align="right">(<xsl:value-of select="rating"/>)</TD>
					</TR>
				</xsl:for-each>
				</TR>
			</xsl:for-each>
			</table>
			<b>Languages:</b>
			<table width="95%">
			<xsl:for-each select='SR3Char/skills/language/skill'>
				<TR>
				<TD align="left"><xsl:value-of select="name"/></TD>
				<TD align="right">(<xsl:value-of select="rating"/>)</TD>

				<xsl:for-each select="specialization">
					<TR><TD align="left">-- <xsl:value-of select="name"/></TD>
					<TD align="right">(<xsl:value-of select="rating"/>)</TD>
					</TR>
				</xsl:for-each>
				</TR>
			</xsl:for-each>
			</table>
			</TD>
			<TD>
				<table width="95%">
				<TR>
					<TD align="left">Combat:</TD>
					<TD><xsl:value-of select='SR3Char/pools/combat'>
					</xsl:value-of>
					</TD>
				</TR>
				<xsl:if test='SR3Char/pools/ShapeShifterCombatPool'>
				<TR>
					<TD align="left">Shape Shifter Combat:</TD>
					<TD><xsl:value-of select='SR3Char/pools/ShapeShifterCombatPool'>
					</xsl:value-of>
					</TD>
				</TR>
				</xsl:if>
				<xsl:if test='SR3Char/pools/control'>
				<TR>
					<TD align="left">Control:</TD>
					<TD><xsl:value-of select='SR3Char/pools/control'>
					</xsl:value-of>
					</TD>
				</TR>
				</xsl:if>
				<xsl:if test='SR3Char/pools/hacking'>
				<TR>
					<TD align="left">Hacking:</TD>
					<TD><xsl:value-of select='SR3Char/pools/hacking'>
					</xsl:value-of>
					</TD>
				</TR>
				</xsl:if>
				<xsl:if test='SR3Char/pools/spell'>
				<TR>
					<TD align="left">Spell:</TD>
					<TD><xsl:value-of select='SR3Char/pools/spell'/>
					</TD>
				</TR>
				</xsl:if>
				<xsl:if test='SR3Char/pools/astral'>
				<TR>
					<TD align="left">Astral:</TD>
					<TD><xsl:value-of select='SR3Char/pools/astral'/>
					</TD>
				</TR>
				</xsl:if>
				<xsl:if test='SR3Char/pools/task'>
				<TR>
					<TD align="left">Task:</TD>
					<TD><xsl:value-of select='SR3Char/pools/task'/>
					</TD>
				</TR>
				</xsl:if>
				</table>
			</TD>


	</TR>
	<TR VALIGN="TOP">
		<TD class="subheading" bgcolor="black">Information</TD>
		<TD class="subheading" bgcolor="black">Edges/Flaws</TD>
		<TD class="subheading" bgcolor="black">Contacts</TD>
		<TD class="subheading" bgcolor="black">Condition</TD>
	</TR>
	<TR VALIGN="TOP">
	<TD>
		<b>Street Name</b>: <xsl:value-of select='SR3Char/bio/currentname'/>
		<xsl:for-each select='SR3Char/bio/streetnames/streetname'>
		<br />Aka: <xsl:value-of select="."/>
		</xsl:for-each>
		<BR/><b>Real Name</b>: <xsl:value-of select='SR3Char/bio/realname'/>
		<BR/><b>DoB</b>: <xsl:value-of select="SR3Char/bio/birthdate"/><br />

		<b>Metatype</b>: <xsl:value-of select="SR3Char/bio/race"/><br />
		<xsl:for-each select='SR3Char/racedesc/line'>
			<xsl:value-of select="."/><br />
		</xsl:for-each>
		<br/><b>Sex</b>: <xsl:value-of select="SR3Char/bio/gender"/>
		<BR/><b>Height</b>: <xsl:value-of select="SR3Char/bio/height"/>
		<BR/><b>Weight</b>: <xsl:value-of select="SR3Char/bio/weight"/>
		<BR/><b>Eyes</b>: <xsl:value-of select="SR3Char/bio/eyes"/>
		<BR/><b>Hair</b>: <xsl:value-of select="SR3Char/bio/hair"/>
		<p/><b>Karma Pool</b>: <xsl:value-of select='SR3Char/pools/karma'/>
		<BR/><b>Good Karma</b>: <xsl:value-of select='SR3Char/bio/karmaremaining'/>
		<BR/><b>Total Earned</b>: <xsl:value-of select='SR3Char/bio/karmatotal'/>
		<p /><b>Lifestyles:</b>
		<xsl:for-each select='SR3Char/bio/lifestyles/lifestyle'>
			<br />
			<xsl:value-of select="./months"/> months <xsl:value-of select="./level"/> - @<xsl:value-of select="./residence"/>
		</xsl:for-each>	
		<p /><b>Credsticks:</b>
		<xsl:for-each select='SR3Char/bio/credsticks/credstick'>
			<br />
			<xsl:value-of select="."/>
		</xsl:for-each>	
		</TD>
		<TD>
			<xsl:for-each select="SR3Char/advantages/advantage">
				<xsl:value-of select="name"/> (<xsl:value-of select="cost"/>)<BR/>
				<xsl:value-of select="notes"/> <p />
			</xsl:for-each>
		</TD>
		<TD>
			<ul>
			<xsl:for-each select='SR3Char/contactlist/contact'>
				<LI><xsl:value-of select="name"/> - 
				<xsl:value-of select="archetype"/></LI>
			</xsl:for-each>
			</ul>
		</TD>		
		<TD><img src="./condmon2.bmp" alt="condmon"/></TD>
	</TR>
<xsl:if test='//weapon'>
	
	<TR>
		<TD class="subheading" bgcolor="black" colspan="4">Weapons 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
</TD>
	</TR>
		<TR>
		<TD colspan="4">
			<table width="100%">
			<TR>
				<TD bgcolor="black" colspan="5"></TD>
				<TD class="subheading" bgcolor="black">Reach/</TD>
				<TD bgcolor="black"></TD>
				<TD class="subheading" bgcolor="black" colspan="4">Range</TD>
				<TD bgcolor="black"></TD>
			</TR>
			<TR>
				<TD bgcolor="black" width="5%"></TD>
				<TD class="subheading" bgcolor="black" width="25%">Weapon</TD>
				<TD class="subheading" bgcolor="black">Dmg</TD>
				<TD class="subheading" bgcolor="black">ammo</TD>
				<TD class="subheading" bgcolor="black">conc.</TD>
				<TD class="subheading" bgcolor="black">mode</TD>
				<TD class="subheading" bgcolor="black">wgt</TD>
				<TD class="subheading" bgcolor="black">S</TD>
				<TD class="subheading" bgcolor="black">M</TD>
				<TD class="subheading" bgcolor="black">L</TD>
				<TD class="subheading" bgcolor="black">E</TD>
				<TD class="subheading" bgcolor="black" width="20%">Accessories</TD>
			</TR>
			<xsl:for-each select='SR3Char/equipmentlist/weaponlist/weapon'>
			<xsl:choose>
				<xsl:when test="category">
				<TR>
					<TD colspan="2"><b><xsl:value-of select="name"/></b></TD>
					<TD><xsl:value-of select="damage"/></TD>
					<TD><xsl:value-of select="ammunition"/></TD>
					<TD><xsl:value-of select="concealability"/></TD>
					<TD><xsl:value-of select="mode"/></TD>
					<TD><xsl:value-of select="mass"/></TD>
					<TD><xsl:value-of select="shortrange"/></TD>
					<TD><xsl:value-of select="mediumrange"/></TD>
					<TD><xsl:value-of select="longrange"/></TD>
					<TD><xsl:value-of select="extremerange"/></TD>
					<TD><xsl:value-of select="accessories"/></TD>
				</TR>
			</xsl:when>
			<xsl:when test="mount">
			<TR>
				<TD></TD>
				<TD colspan="3"><xsl:value-of select="name"/></TD>
				<TD><xsl:value-of select="concealability"/></TD>
				<TD></TD>
				<TD><xsl:value-of select="mass"/></TD>
				<TD colspan="4"><xsl:value-of select="notes"/></TD>
				<TD><xsl:value-of select="accessories"/></TD>
			</TR>
			</xsl:when>
			<xsl:when test="reach">
			<TR>
				<TD colspan="2"><b><xsl:value-of select="name"/></b></TD>
				<TD colspan="2"><xsl:value-of select="damage"/></TD>
				<TD><xsl:value-of select="concealability"/></TD>
				<TD><xsl:value-of select="reach"/></TD>
				<TD><xsl:value-of select="mass"/></TD>
				<TD colspan="4"></TD>
				<TD><xsl:value-of select="accessories"/></TD>
			</TR>
			</xsl:when>
			<xsl:when test="name">
			<TR>
				<TD></TD>
				<TD>ammo:<xsl:value-of select="name"/></TD>
				<TD><xsl:value-of select="damage"/></TD>
				<TD><xsl:value-of select="quantitiy"/></TD>
				<TD><xsl:value-of select="concealability"/></TD>
				<TD><xsl:value-of select="mode"/></TD>
				<TD><xsl:value-of select="mass"/></TD>
				<TD><xsl:value-of select="shortrange"/></TD>
				<TD><xsl:value-of select="mediumrange"/></TD>
				<TD><xsl:value-of select="longrange"/></TD>
				<TD><xsl:value-of select="extremerange"/></TD>
				<TD><xsl:value-of select="accessories"/></TD>
			</TR>
			</xsl:when>
			</xsl:choose>
			</xsl:for-each>
			</table>			

		</TD>
		</TR>

</xsl:if>

<xsl:choose>
	<xsl:when test="//augmentation/cyberware">
	<xsl:choose>
	<xsl:when test="//augmentation/bioware">
		<TR VALIGN="TOP">
			<TD class="subheading" bgcolor="black" colspan="2">Cyberware 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
</TD>
			<TD class="subheading" bgcolor="black" colspan="2">Bioware</TD>
		</TR>
		<TR VALIGN="TOP">
			<TD colspan="2">
			<table>
			<xsl:for-each select='SR3Char/augmentation/cyberware'>
			<TR>
				<TD align="left" valign="top" width="40%"><xsl:value-of select="name"/> 
				<xsl:value-of select="rating"/></TD>
				<TD width="15%" valign="top"> (es:<xsl:value-of select="essencecost"/>)</TD>
				<TD align="left"><xsl:value-of select="book.page"/>

				<xsl:value-of select="mods"/> <xsl:value-of select="notes"/> </TD>
			</TR>
			</xsl:for-each>
			</table>
			</TD>
			<TD colspan="2">
			<table>
				<xsl:for-each select='SR3Char/augmentation/bioware'>
				<TR>
					<TD align="left" valign="top" width="40%"><xsl:value-of select="name"/> 
					<xsl:value-of select="rating"/></TD>
					<TD width="15%" valign="top"> (bio:<xsl:value-of select="bioindexcost"/>)</TD>
					<TD align="left"><xsl:value-of select="book.page"/>

					<xsl:value-of select="mods"/> <xsl:value-of select="notes"/> </TD>
								</TR>
				</xsl:for-each>
			</table>
			</TD>
		</TR>
	</xsl:when>
	<xsl:otherwise>
	<TR VALIGN="TOP">
		<TD class="subheading" bgcolor="black" colspan="4">Cyberware 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
</TD>
	</TR>	
	<TR>
		<TD colspan="4">
			<table>
			<xsl:for-each select='SR3Char/augmentation/cyberware'>
			<TR>
				<TD align="left" valign="top" width="40%"><xsl:value-of select="name"/> 
				<xsl:value-of select="rating"/></TD>
				<TD width="15%" valign="top"> (es:<xsl:value-of select="essencecost"/>)</TD>
				<TD align="left"><xsl:value-of select="book.page"/>

				<xsl:value-of select="mods"/> <xsl:value-of select="notes"/> </TD>
			</TR>
			</xsl:for-each>
			</table>
		</TD>
	</TR>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:when>
	<xsl:otherwise>			
	<xsl:if test="//augmentation/bioware">
		<TR VALIGN="TOP">
			<TD class="subheading" bgcolor="black" colspan="4">Bioware 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
</TD>
		</TR>
		<TR valign="top">
			<TD colspan="4">
					<table>
						<xsl:for-each select='SR3Char/augmentation/bioware'>
						<TR>
							<TD align="left" valign="top" width="40%"><xsl:value-of select="name"/> 
							<xsl:value-of select="rating"/></TD>
							<TD width="15%" valign="top"> (bio:<xsl:value-of select="bioindexcost"/>)</TD>
							<TD align="left"><xsl:value-of select="book.page"/>
		
							<xsl:value-of select="mods"/> <xsl:value-of select="notes"/> </TD>
										</TR>
						</xsl:for-each>
					</table>
			</TD>
		</TR>
	</xsl:if>
	</xsl:otherwise>
</xsl:choose>

<xsl:if test="//magic">
	<TR VALIGN="TOP">
		<TD class="subheading" bgcolor="black" colspan="2">Magic Type 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
</TD>
		<TD class="subheading" bgcolor="black" colspan="2">Grades/initiation</TD>
	</TR>
	<TR VALIGN="TOP">		
		<td colspan="2">
		<b><xsl:value-of select='SR3Char/magic/magetype'/></b><p />
		<xsl:value-of disable-output-escaping="yes" select='SR3Char/magic/desc'/>
		</td>
		<td colspan="2">
			Magic Attribute:
			<xsl:value-of select='SR3Char/magic/m.attribute/start'/><br />
			Initiation grade:
			<xsl:value-of select='SR3Char/magic/m.attribute/initialization'/><br />
			Gaesa:
			<xsl:value-of select='SR3Char/magic/m.attribute/geasa'/><br />
			Total Magic:
			<xsl:value-of select='SR3Char/magic/m.attribute/total'/><p />
			Initiation Description:
			<xsl:for-each select='SR3Char/magic/initiationdesc'>
				Initiation:<xsl:value-of select='.'/><br/>
			</xsl:for-each>
			<xsl:for-each select='SR3Char/magic/geaslist/geas'>
				Geas:<xsl:value-of select='.'/><br />
			</xsl:for-each>
			<xsl:for-each select='SR3Char/magic/grouplist/group'>
				Group:<xsl:value-of select='.'/><br />
			</xsl:for-each>
		</td>
	</TR>
	<xsl:if test='//spelllist/spell'>
	<TR VALIGN="TOP">
		<TD class="subheading" bgcolor="black" colspan="4">Spells 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
</TD>
	</TR>
	<TR VALIGN="TOP">
		<td colspan="4">
		<table width="100%">
		<tr>
			<td width="25%" class="subheading" bgcolor="black" >Name</td>
			<td class="subheading" bgcolor="black" >Force</td>
			<td class="subheading" bgcolor="black" >Type</td>
			<td class="subheading" bgcolor="black" >Target</td>
			<td class="subheading" bgcolor="black" >Dur.</td>
			<td class="subheading" bgcolor="black" >Range</td>
			<td class="subheading" bgcolor="black" >Drain</td>
			<td width="25%" class="subheading" bgcolor="black" >Notes</td>
		</tr>
		<xsl:for-each select='SR3Char/magic/spelllist/spell'>
			<tr>
				<td><b><xsl:value-of select="name"/></b></td>
				<td><xsl:value-of select="force"/></td>
				<td><xsl:value-of select="type"/></td>
				<td><xsl:value-of select="target"/></td>
				<td><xsl:value-of select="duration"/></td>
				<td><xsl:value-of select="range"/></td>
				<td><xsl:value-of select="drain"/></td>
				<td><xsl:value-of select="notes"/></td>
			</tr>
		</xsl:for-each>
		</table>			
		</td>
	</TR>		
	</xsl:if>
	<xsl:if test='//magic/physad'>
	<TR VALIGN="TOP">
		<TD class="subheading" bgcolor="black" colspan="4">Adept Power 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
		</TD>
	</TR>
	<TR VALIGN="TOP">
	<td colspan="4">
	<table width="100%">
		<tr>
			<td width="40%" class="subheading" bgcolor="black" >Name</td>
			<td class="subheading" bgcolor="black" >Cost</td>
			<td width="10%" class="subheading" bgcolor="black" >Book</td>
		</tr>
		<xsl:for-each select='SR3Char/magic/physad/power'>
			<tr>
				<td><b><xsl:value-of select="name"/></b></td>
				<td><xsl:value-of select="cost"/></td>
				<td><xsl:value-of select="book.page"/></td>
			</tr>
		</xsl:for-each>
	</table>			
	</td>
	</TR>		
	</xsl:if>

</xsl:if>
<xsl:if test="//decker">
	<TR VALIGN="TOP">
		<TD class="subheading" bgcolor="black" colspan="2">Deck Ratings 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
</TD>
		<TD class="subheading" bgcolor="black" colspan="2">Decker Gear</TD>
	</TR>
		<tr valign="top">
			<td colspan="2">
			<table width="100%">
			<tr><td>Deckname:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/deckname"/></td></tr>
			<tr><td>Reaction:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/reaction"/></td></tr>
			<tr><td>Initiative:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/initiative"/></td></tr>
			<tr><td>MPCP:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/mpcp"/></td></tr>
			<tr><td>Hardening:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/hardening"/></td></tr>
			<tr><td>Bod:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/bod"/></td></tr>
			<tr><td>Evasion:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/evasion"/></td></tr>
			<tr><td>Masking:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/masking"/></td></tr>
			<tr><td>Sensor:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/sensor"/></td></tr>
			<tr><td>I/O Speed:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/iospeed"/></td></tr>
			<tr><td>Response Inrease:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/responseincr"/></td></tr>
			<tr><td>Active Memory:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/activememory"/></td></tr>
			<tr><td>Storage memory:</td><td><xsl:value-of select="SR3Char/decker/deckinfo/storagemem"/></td></tr>
			</table>
			</td>
			<td colspan="2">
			<xsl:for-each select='SR3Char/decker/decklist/deck'>
				Deck:<xsl:value-of select='name'/>
				Accessories:
				<ul>
				<xsl:for-each select='accessories'>
				<li><xsl:value-of select='name'/></li>
				</xsl:for-each>
				</ul>
				Software:
				<ul>
				<xsl:for-each select='software'>
					<li><xsl:value-of select='name'/></li>
				</xsl:for-each>
				</ul>
			</xsl:for-each>
			</td>
		</tr>

</xsl:if>

	<TR VALIGN="TOP">
		<TD class="subheading" bgcolor="black" colspan="2">Gear 	<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a>
		</TD>
		<TD class="subheading" bgcolor="black" colspan="2">Vehicles</TD>
	</TR>
	<tr valign="top">
		<TD colspan="2">
		<xsl:for-each select='SR3Char/equipmentlist/gearlist/gear'>
				<xsl:value-of select="name"/> <xsl:value-of select="rating"/><BR/>
		</xsl:for-each>
		<xsl:for-each select='SR3Char/equipmentlist/vehiclelist/accessories'>
				<xsl:value-of select="name"/><BR/>
		</xsl:for-each>
		<xsl:if test="//magegearlist">
		<p /><b>Mage Gear:</b><br />
		<xsl:for-each select='SR3Char/equipmentlist/magegearlist/magegear'>
							<xsl:value-of select="name"/> <xsl:value-of select="rating"/><BR/>
					</xsl:for-each>
		</xsl:if>
		</TD>
		<TD colspan="2">
		<table width="100%">
			<tr valign="top">
				<td width="10%" > </td>
				<td width="90%" > </td>
			</tr>
				<xsl:for-each select='SR3Char/equipmentlist/vehiclelist/vehicle'>
				<tr valign="top">
					<td colspan="2"><b><xsl:value-of select="name"/> </b></td>
				</tr>
				<xsl:for-each select='./accessories'>
				<tr>	
					<td/><td><xsl:value-of select="name"/></td>
				</tr>
				</xsl:for-each>
				<xsl:for-each select='./weapon'>
				<tr>	
					<td/><td><xsl:value-of select="name"/></td>
				</tr>
				</xsl:for-each>
			</xsl:for-each>

		</table>
		</TD>		
	</tr>
	<xsl:if test="SR3Char/biography">
	<TR VALIGN="top"><TD class="subheading" bgcolor="black" colspan="4">Biography 
		<a class="common" href="javascript:void(0)" onClick="zalomit(this);">____</a></TD></TR>
			
	<TR VALIGN="top">
	<td colspan="4">
		<xsl:value-of disable-output-escaping="yes" select="SR3Char/biography"/>
		</td>
	</TR>
	</xsl:if>		
</TABLE>

</BODY>
</HTML>

</xsl:template>

</xsl:stylesheet>